package pl.koziolekweb.programmers.zip;

import java.io.File;
import java.io.IOException;

/**
 * Interfejs klasy archiwizującej.
 * 
 * @author bartlomiejk
 * 
 */
public interface Archiver {

	/**
	 * Tworzy archiwum z pliku lub folderu podanego w parametrze
	 * <code>source</code> w pliku podanym w parametrze <code>target</code>.
	 * 
	 * @param source
	 *            plik/folder źródłowy.
	 * @param target
	 *            miejsce powstania archiwum.
	 * @throws IOException
	 *             zwracany jeżeli pojawi się problem z plikami. Zazwyczaj
	 *             chodzi o dostęp do pliku.
	 */
	void archive(File source, File target) throws IOException;
}
