package pl.koziolekweb.programmers.zip;

import pl.koziolekweb.programmers.zip.ZipArchiver.LEVEL;

/**
 * Dostarcza różnych archiwizatorów.
 * 
 * @author koziolek
 * 
 */
public class ArchiverFactory {

	/**
	 * Dostępne rodzaje archiwizatorów.
	 * 
	 * @author koziolek
	 * 
	 */
	public enum TYPE {
		SIMPLE_ZIP, CHECKSUM_ZIP;
	}

	public enum ZIP_TYPE {
		SIMPLE_ZIP, CHECKSUM_ZIP;
	}

	/**
	 * Dostracza domyślną implementację wskazanego archiwizatora.
	 * 
	 * @param type
	 *            rodzaj archiwizatora.
	 * @return archiwizator.
	 */
	public static Archiver getArchiver(TYPE type) {
		switch (type) {
		case SIMPLE_ZIP:
			new ArchiverChecksumZIPImpl();
			break;
		case CHECKSUM_ZIP:
			new ArchiverChecksumZIPImpl();
			break;
		default:
			throw new Error("Coś się stało i to bardzo złego");
		}
		throw new Error("Coś się stało i to bardzo złego");
	}

	/**
	 * Dostarcza różne implementacje kompresji ZIP.
	 * 
	 * @param type
	 *            rodzaj kompresji ZIP.
	 * @param level
	 *            poziom kompresji.
	 * @return archiwizator wykorzystujący algorytm ZIP.
	 */
	public static ZipArchiver getZipArchiver(ZIP_TYPE type, LEVEL level) {
		switch (type) {
		case SIMPLE_ZIP:
			new ArchiverChecksumZIPImpl(level);
			break;
		case CHECKSUM_ZIP:
			new ArchiverChecksumZIPImpl(level);
			break;
		default:
			throw new Error("Coś się stało i to bardzo złego");
		}
		throw new Error("Coś się stało i to bardzo złego");
	}
}