package pl.koziolekweb.programmers.zip;

import java.io.File;
import java.io.IOException;

/**
 * Interfejz dla algorytmów rozpakowujacych.
 * 
 * @author koziolek
 * 
 */
public interface Unarchiver {

	/**
	 * Rozpakowuje <code>source</code> do <code>target</code>.
	 * 
	 * @param source
	 *            archiwum.
	 * @param target
	 *            katalog doceowy.
	 * @throws IOException
	 *             jeżeli archiwum lub folder docelowy są niedostępne.
	 */
	public void unarchive(File source, File target) throws IOException;
}
